/*
 * Copyright (C) 2006 Alex Aranda
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package com.fleax.ant;

import java.io.FileInputStream;
import java.util.Date;
import java.util.PropertyResourceBundle;

/**
 * Reads build number and build date from build.properties 
 */
public class BuildNumberReader {

	public static int getBuildNumber() {
		PropertyResourceBundle file;
		try {
			file = new PropertyResourceBundle(new FileInputStream(BuildNumberConstants.BUILD_NUMBER_FILE));
			return Integer.parseInt(file.getString(BuildNumberConstants.BUILD_NUMBER_PROPERTY));
		} catch (Exception e) {
			return -1;
		}
	}
	
	public static Date getBuildDate() {
		PropertyResourceBundle file;
		try {
			file = new PropertyResourceBundle(new FileInputStream(BuildNumberConstants.BUILD_NUMBER_FILE));
			String date = file.getString(BuildNumberConstants.BUILD_DATE_PROPERTY);
			if (date != null)
				return BuildNumberConstants.DATE_FORMATTER.parse(date);
			else
				return null;
		} catch (Exception e) {
			return null;
		}
	}
}
